CentOS5にapcをインストールしてみる


CentOS5にAPCをインストールしたら以下のようなエラーでできない。

Sorry, I was not able to successfully run APXS.  Possible reasons:

1.  Perl is not installed;
2.  Apache was not compiled with DSO support (--enable-module=so);
3.  'apxs' is not in your path.  Try to use --with-apxs=/path/to/apxs
The output of apxs follows
/var/tmp/APC/configure: line 3281: apxs: command not found
configure: error: Aborting
ERROR: `/var/tmp/APC/configure --with-apxs' failed

どうやら「 apxs: command not found」ってことでapxsがないらしい。
Apacheインストール時に入っているものだと思ったのだが…はて?

とりあえず、Google先生に聞いてみたところ CentOS yum経由?のapacheでは
apxsが付いていないらしい インストールするには

#> yum install http-devel

を実行すればいいらしい。

ついでに以下もし試してみた
・ yum install gcc
・apxs にパスが通っているか確認

関連記事:

  1. CentOS5でPHP5.2.10をインストール

Comments are closed.